Name:           prewikka
Version:        3.1.0
Release:        %mkrel 1
Summary:        Graphical front-end analysis console for the Prelude Framework
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/attachments/download/727/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(argparse)
BuildRequires:  pythonegg(2)(cheetah)
BuildRequires:  pythonegg(2)(lesscpy)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       pythonegg(2)(babel)
Requires:       pythonegg(2)(cheetah)
Requires:       pythonegg(2)(prelude) >= %{version}
Requires:       pythonegg(2)(preludedb) >= %{version}
Requires:       pythonegg(2)(pytz)

%description
Prewikka is the graphical front-end analysis console for the
Prelude Universal SIM. Providing numerous features, Prewikka
facilitates the work of users and analysts. It provides alert
aggregation and sensor and hearbeat views, and has user management
and configurable filters. Prewikka also provides access to external
tools such as whois and traceroute.

%prep
%setup -q

%build
%py2_build

%install
%{__python2} setup.py install -O1 --root=%{buildroot}

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/%{name}-httpd %{buildroot}%{_sbindir}/%{name}-httpd

# Language files; not under /usr/share/locale, need to be handled manually
(cd %{buildroot} && find . -name 'prewikka.mo') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%dir %{_sysconfdir}/%{name}
%attr(0640,root,root) %config(noreplace)%{_sysconfdir}/%{name}/%{name}.conf
%{_sbindir}/%{name}-httpd
%{_datadir}/%{name}/
# list some files explicitly to avoid listing locale files twice
%dir %{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}/auth/
%{python2_sitelib}/%{name}/compat/
%{python2_sitelib}/%{name}/dataprovider/
%{python2_sitelib}/%{name}/htdocs/
%{python2_sitelib}/%{name}/plugins/
%{python2_sitelib}/%{name}/renderer/
%{python2_sitelib}/%{name}/session/
%{python2_sitelib}/%{name}/sql/
%{python2_sitelib}/%{name}/templates/
%{python2_sitelib}/%{name}/utils/
%{python2_sitelib}/%{name}/views/
%{python2_sitelib}/%{name}/web/
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}-%{version}-py%{python2_version}.egg-info


%changelog
* Sat Oct 15 2016 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 1060962
- imported package prewikka

